<script lang="ts">
	import type { NostrEvent } from 'nostr-tools';
	import Avatar from '$lib/components/User/Avatar.svelte';
	import Icon from '@iconify/svelte';
	import NotePrinter from './NotePrinter.svelte';
	import { formatDate } from '../utils.svelte';

	let { result }: { result: NostrEvent } = $props();

	let date = formatDate(result.created_at);
</script>

<NotePrinter note={result} />
